<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"	xmlns:audit="urn:linux:audit:aureport"	version="1.0">
	<xsl:param name="sep">,</xsl:param>
	
	<xsl:output method="text"/>
	
	<xsl:template match="text()" />

	<xsl:template match="audit:aureport">
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template match="audit:header">
		<xsl:text>#</xsl:text><xsl:value-of select="$sep"/>
		<xsl:apply-templates select="audit:col"/>
		<xsl:text>&#10;</xsl:text>
	</xsl:template>
	
	<xsl:template match="audit:col">
		<xsl:value-of select="."/>
		<xsl:if test="position() != last()"><xsl:value-of select="$sep"/></xsl:if>
	</xsl:template>
	
	<xsl:template match="audit:record">
		<xsl:value-of select="@num"/><xsl:value-of select="$sep"/>
		<xsl:apply-templates select="audit:field"/>
		<xsl:text>&#10;</xsl:text>
	</xsl:template>
	
	<xsl:template match="audit:field">
		<xsl:value-of select="."/>
		<xsl:if test="position() != last()"><xsl:value-of select="$sep"/></xsl:if>
	</xsl:template>
</xsl:stylesheet>
