auformat
========

Copyright Nick Sydenham <nsydenham@yahoo.co.uk>

Introduction
------------
auformat is a utility to convert the output from ausearch or aureport into
another format for either viewing or further processing.

Example (as root):

		ausearch -i -ts recent | auformat

Will turn the audit log into XML.

	 ausearch -i -ts recent | auformat -f html -o audit.html

Will turn the audit log into HTML and write it to the audit.html file.

	 aureport -e -i | auformat -f csv

Will turn the output from aureport into csv.

Options
-------
* -f output format, default is XML
* -h display help
* -i <file> read from file or use stdin if not specified
* -l list available formats
* -o <file> write output to file instead of stdout

Requirements
------------
The basic requirements are

* Perl
* Perl module XML::Writer

For translations either:

* Perl module XML::LibXSLT
* libxslt-tools

Acknowledgements
----------------
The html conversion references http://datatables.net/

License
-------
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
